{
  "format_version": "1.21.50",
  "minecraft:block": {
    "description": {
      "identifier": "sg_vtng:mechanical_crafter",
      "states": {
        "sg_vtng:is_invisible": [false, true]
      },
      "traits": {
        "minecraft:placement_direction": {
          "enabled_states": ["minecraft:cardinal_direction"],
          "y_rotation_offset": 180
        }
      }
    },
    "components": {
      "minecraft:custom_components": ["sg_vtng:mechanical_crafter"],
      "minecraft:material_instances": {
        "*": {
          "texture": "sg_vtng:mechanical_crafter_off",
          "render_method": "alpha_test",
          "ambient_occlusion": false
        }
      },
      "minecraft:redstone_conductivity": {
        "allows_wire_to_step_down": true,
        "redstone_conductor": true
      },
      "minecraft:tick": { "interval_range": [1, 1] },
      "minecraft:collision_box": {
        "origin": [-8, 0, -8],
        "size": [16, 13, 16]
      },
      "minecraft:selection_box": {
        "origin": [-8, 0, -8],
        "size": [16, 13, 16]
      },
      "minecraft:geometry": {
        "identifier": "geometry.sg_vtng.mechanical_crafting_table",
        "bone_visibility": {
          "green0": false,
          "green1": false,
          "green2": false,
          "green3": false,
          "green4": false,
          "green5": false,
          "green6": false,
          "green7": false,
          "green8": false,
          "red0": false,
          "red1": false,
          "red2": false,
          "red3": false,
          "red4": false,
          "red5": false,
          "red6": false,
          "red7": false,
          "red8": false
        }
      },
      "minecraft:destructible_by_mining": { "seconds_to_destroy": 2 },
      "minecraft:light_dampening": 0,
      "minecraft:map_color": "#5a4335",
      "tag:minecraft:is_pickaxe_item_destructible": {}
    },
    "permutations": [
      {
        "condition": "query.block_state('minecraft:cardinal_direction') == 'north'",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 0, 0]
          }
        }
      },
      {
        "condition": "query.block_state('minecraft:cardinal_direction') == 'south'",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 180, 0]
          }
        }
      },
      {
        "condition": "query.block_state('minecraft:cardinal_direction') == 'west'",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 90, 0]
          }
        }
      },
      {
        "condition": "query.block_state('minecraft:cardinal_direction') == 'east'",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 270, 0]
          }
        }
      },
      {
        "condition": "query.block_state('sg_vtng:is_invisible') == true",
        "components": {
          "minecraft:material_instances": {
            "*": {
              "texture": "sg_vtng:invisible_texture",
              "render_method": "alpha_test",
              "ambient_occlusion": false
            }
          }
        }
      }
    ]
  }
}
